## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples
Class ExamplePlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.ExamplePlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ExamplePlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ExamplePlugin()`

Method Summary
`static org.eclipse.ui.IWorkbenchPage` `getActiveWorkbenchPage()` Gets active workbench page.
`static org.eclipse.swt.widgets.Shell` `getActiveWorkbenchShell()` Returns the active workbench shell
`static org.eclipse.ui.IWorkbenchWindow` `getActiveWorkbenchWindow()` Gets active workbench window.
`static ExamplePlugin` `getDefault()`
`static org.eclipse.swt.widgets.Display` `getDisplay()`
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`java.lang.String` `getPluginId()`
`static org.eclipse.swt.widgets.Display` `getStandardDisplay()` Returns the standard display to be used.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### ExamplePlugin

    public ExamplePlugin()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getPluginId

    public java.lang.String getPluginId()

### getDefault

    public static ExamplePlugin getDefault()

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

### getStandardDisplay

    public static org.eclipse.swt.widgets.Display getStandardDisplay()

  Returns the standard display to be used. The method first checks, if the thread calling this method has an associated display. If so, this display is returned. Otherwise the method returns the default display.

### getActiveWorkbenchPage

    public static org.eclipse.ui.IWorkbenchPage getActiveWorkbenchPage()

  Gets active workbench page.

  This method acts as a convenience for plug-in implementors.

  Returns:
    IWorkbenchPage the workbench page for this plug-in

### getActiveWorkbenchWindow

    public static org.eclipse.ui.IWorkbenchWindow getActiveWorkbenchWindow()

  Gets active workbench window.

  This method exists as a convenience for plug-in implementors.

  Returns:
    IWorkbenchWindow the workbench for this plug-in

### getActiveWorkbenchShell

    public static org.eclipse.swt.widgets.Shell getActiveWorkbenchShell()

  Returns the active workbench shell

  Returns:

### getDisplay

    public static org.eclipse.swt.widgets.Display getDisplay()